#!/bin/sh
# ffpip von ice32

file=/tmp/ffpip.pid
osd=$(cat /var/tuxbox/config/neutrino.conf | grep -e osd_resolution=1)
sx=480
xo=1425
    
if [ -f "$file" ]; then
    rm $file
    kill -9 $(pidof ffmpeg)
else
    touch $file
    if [ -z "$osd" ]; then
	sx=320
	xo=945
    fi
    ffmpeg -nostdin -loglevel panic -i http://127.0.0.1:31339 -map 0:0 -vf scale="$sx":-1:sws_flags="fast_biline
ar" -r 25 -an -sn -pix_fmt bgra -yoffset 15 -xoffset "$xo" -f fbdev /dev/fb/0 & 

fi

exit 0
